PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT > Struct Template Reference
Inheritance diagram for optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >:
[legend]
Collaboration diagram for optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >:
[legend]

## Public Member Functions
| FieldDataBase (EffectiveFrequencyCyl *solver, std::size_t num)
| FieldDataBase (EffectiveFrequencyCyl *solver, std::size_t num)
| FieldDataBase (EffectiveFrequencyCyl *solver, std::size_t num)
Public Member Functions inherited from plask::LazyDataImpl< FieldT >
virtual | ~LazyDataImpl ()
virtual FieldT | at (std::size_t index) const=0
| Get index-th value from vector.
virtual std::size_t | size () const=0
| Get the number of elements in this vector.
virtual DataVector< const FieldT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< FieldT > | claim () const

## Public Attributes
EffectiveFrequencyCyl * | solver
std::size_t | num

## Protected Member Functions
FieldT | value (dcomplex val) const
double | value (dcomplex val) const
Vec< 3, dcomplex > | value (dcomplex val) const

## Protected Attributes
double | scale

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< FieldT >
typedef FieldT | CellType

## Detailed Description

template<typename FieldT>
struct optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >

Definition at line 873 of file efm.cpp.

## Constructor & Destructor Documentation

## ◆ FieldDataBase() [1/3]

template<typename FieldT >

optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >::FieldDataBase | ( | EffectiveFrequencyCyl * | solver,
|  | std::size_t | num
| ) |  |

## ◆ FieldDataBase() [2/3]

plask::optical::effective::EffectiveFrequencyCyl::FieldDataBase< double >::FieldDataBase | ( | EffectiveFrequencyCyl * | solver,
|  | std::size_t | num
| ) |  |

Definition at line 885 of file efm.cpp.

## ◆ FieldDataBase() [3/3]

plask::optical::effective::EffectiveFrequencyCyl::FieldDataBase< Vec< 3, dcomplex > >::FieldDataBase | ( | EffectiveFrequencyCyl * | solver,
|  | std::size_t | num
| ) |  |

Definition at line 891 of file efm.cpp.

## Member Function Documentation

## ◆ value() [1/3]

template<typename FieldT >

FieldT optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >::value | ( | dcomplex | val | ) | const
| inline protected

## ◆ value() [2/3]

double plask::optical::effective::EffectiveFrequencyCyl::FieldDataBase< double >::value | ( | dcomplex | val | ) | const
| protected

Definition at line 888 of file efm.cpp.

## ◆ value() [3/3]

Vec< 3, dcomplex > plask::optical::effective::EffectiveFrequencyCyl::FieldDataBase< Vec< 3, dcomplex > >::value | ( | dcomplex | val | ) | const
| protected

Definition at line 898 of file efm.cpp.

## Member Data Documentation

## ◆ num

template<typename FieldT >

std::size_t optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >::num

Definition at line 875 of file efm.cpp.

## ◆ scale

template<typename FieldT >

double optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >::scale
| protected

Definition at line 881 of file efm.cpp.

## ◆ solver

template<typename FieldT >

EffectiveFrequencyCyl* optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >::solver

Definition at line 874 of file efm.cpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/efm.cpp